Name:       python-quantumclient
Epoch:      2
Version:    2.2.1
Release:    3%{?dist}
Summary:    Python API and CLI for OpenStack Quantum

Group:      Development/Languages
License:    ASL 2.0
URL:        http://launchpad.net/python-quantumclient/
BuildArch:  noarch

Source0:    http://tarballs.openstack.org/python-quantumclient/python-quantumclient-%{version}.tar.gz

Requires:   pyparsing
Requires:   python-cliff
Requires:   python-httplib2
Requires:   python-iso8601
Requires:   python-prettytable >= 0.6
Requires:   python-setuptools
Requires:   python-simplejson

BuildRequires: python2-devel
BuildRequires: python-setuptools

%description
Client library and command line utility for interacting with Openstack
Quantum's API.

%prep
%setup -q -n %{name}-%{version}

# let RPM handle deps
sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# Install other needed files
install -p -D -m 644 tools/quantum.bash_completion %{buildroot}%{_sysconfdir}/bash_completion.d/quantum.bash_completion

# Remove unused files
rm -rf %{buildroot}%{python_sitelib}/quantumclient/tests

%files
%doc LICENSE
%doc README
%{_bindir}/quantum
%{python_sitelib}/quantumclient
%{python_sitelib}/*.egg-info
%{_sysconfdir}/bash_completion.d


%changelog
* Mon Apr 29 2013 Jakub Ruzicka <jruzicka@redhat.com> - 2:2.2.1-3
- Bump epoch to sync with RDO versioning.

* Mon Apr 29 2013 Pádraig Brady <pbrady@redhat.com> - 1:2.2.1-2
- Update to 2.2.1 release

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Dec 3 2012 Robert Kukura <rkukura@redhat.com> - 1:2.1.10-1
- Update to 2.1.10
- Add pyparsing dependency
- Deal with hash in tarball name
- Install /etc/bash_completion.d/quantum.bash_completion

* Mon Sep 24 2012 Robert Kukura <rkukura@redhat.com> - 1:2.1.1-0
- Update to 2.1.1

* Fri Sep 14 2012 Robert Kukura <rkukura@redhat.com> - 1:2.0.23-0
- Update to 2.0.23

* Wed Sep 12 2012 Robert Kukura <rkukura@redhat.com> - 1:2.0.22-0
- Update to 2.0.22
- Change cliff version dependency to >= 1.0
- Change prettytable version dependency to >= 0.6

* Tue Sep 11 2012 Robert Kukura <rkukura@redhat.com> - 1:2.0.21-0
- Update to 2.0.21
- Strip dependency on cliff version >= 1.2.1

* Fri Aug 24 2012 Alan Pevec <apevec@redhat.com> 1:2.0-2
- Remove PyXML dep (#851687) and unused prettytable dep

* Wed Aug 22 2012 Alan Pevec <apevec@redhat.com> 1:2.0-1
- Add dependency on python-setuptools (#850847)
- Update to 2.0

* Tue Aug  7 2012 Robert Kukura <rkukura@redhat.com> - 1:0.1.1-1
- Update to 0.1.1, new epoch

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2012.2-0.3.f1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 18 2012 Robert Kukura <rkukura@redhat.com> - 2012.2-0.2.f1
- Add conflict with python-quantum 2012.1 since site-packages/quantum is no longer provided.

* Mon Jun 18 2012 Robert Kukura <rkukura@redhat.com> - 2012.2-0.1.f1
- Update to folsom milestone 1

* Mon Apr  9 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-1
- Update to essex final release

* Thu Apr  5 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-0.5.rc2
- Update to essex rc2 milestone
- Exclude tests

* Wed Mar 21 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-0.4.rc1
- Update to official essex rc1 milestone
- Include LICENSE file

* Mon Mar 19 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-0.3.e4
- Update to essex RC1

* Thu Mar  1 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-0.2.e4
- Update to essex milestone 4

* Thu Jan 26 2012 Cole Robinson <crobinso@redhat.com> - 2012.1-0.1.e3
- Initial package
